Skip to main content

private/otc/get-unsettled-amounts

POST 

/private/otc/get-unsettled-amounts

Get pending settlement amount aggregated by date and instrument.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/otc/get-unsettled-amounts"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired

    No params required.

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. Pending settlement amount aggregated by date and instrument.
    unsettled_ccys object
    Map by date (timestamp key in nanoseconds) and instrument/currency (inner key). Each value is the amount as string.
    property name* object
    property name* string

    Amount

    message string

    Present when code !== 0.

    original string

    Present when code !== 0.